Subject: Re: devel/zlib question - exclusion
To: Johnny Lam <>
From: Jeroen Ruigrok/asmodai <>
List: tech-pkg
Date: 08/30/2005 17:20:07
-On [20050830 17:15], Johnny Lam ( wrote:
>Yes, it should auto-handle it if possible.  As can be seen, 
>zlib/ tries to figure out the version of zlib by parsing the 
>ZLIB_VERSION symbol in the zlib.h header.  Is that not working for you?

No, that's what got me confused, since I didn't immediately spot the include
for in zlib's top level directory.

And following the make logic from led me to believe it should
auto-handle it.

On DragonFly 1.3.x right now we have zlib in /usr/include/zlib.h with at
least the following version information in the file:

#define ZLIB_VERSION "1.2.3"
#define ZLIB_VERNUM 0x1230

This is what it does if I run bmake from the pkg's directory:

# /usr/pkg/bin/bmake
===> *** No /usr/pkgsrc/distfiles/pkg-vulnerabilities file found,
===> *** skipping vulnerability checks. To fix, install
===> *** the pkgsrc/security/audit-packages package and run
===> *** '/usr/pkg/sbin/download-vulnerability-list'.
=> zlib-1.2.3.tar.gz doesn't seem to exist on this system.

Jeroen Ruigrok van der Werven <asmodai(at)> / asmodai / kita no mono
Free Tibet! |   |
Gott weiss Ich will kein Engel sein...